/* new theme css socilify classics */

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
    --scfy-primary-color: #367AFF;
    --scfy-text-color: #232323;
    --scfy-background-color: #FFFFFF;
    --scfy-border-color: #D9D9D9;
}
* {
    margin: 0%;
    padding: 0%;
}
body{
    background-color: var(--scfy-background-color);
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-size: 16px;
    font-weight: 400;
    color: var(--scfy-text-color);
}

.scfy_logo_head {
	padding: 20px 0;
	margin-bottom: 25px;
	width: 100%;
	max-width: 400px;
	margin: 0 auto;
	margin-bottom: 25px;
	margin-top: 20px;
}
.scfy_logo_text {
	display: flex;
	justify-content: flex-start;
	align-content: center;
	align-items: center;
    margin-left: -10px;
}
.scfy_logo_text img {
	width: 50px;
}
.scfy_logo_text span {
	font-weight: 600;
	font-size: 28px;
	color: var(--scfy-text-color);
}
.scfy_form_area_wrapper {
	height: calc(100% - 188px);
	display: flex;
	justify-content: center;
	align-content: center;
	align-items: center;
}
.scfy_from_area {
	width: 100%;
	max-width: 400px;
	margin: 0 auto;
}
.scfy_from_page_style {
	display: flex;
	justify-content: space-between;
}
.scfy_from_full_area {
	flex: 0 0 50%;
	height: 100vh;
	/* overflow-x: hidden;
	overflow-y: scroll; */
}
.scfy_auth_image_area {
	flex: 0 0 50%;
	height: 100vh;
}
.scfy_auth_image_area img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.scfy_google_auth_button img {
	width: 16px;
}
.scfy_from_head h1 {
	font-size: 22px;
	font-weight: 700;
	color: var(--scfy-text-color);
}

/* divider */
.scfy_divider {
    text-align: center;
    position: relative;
    margin: 16px 0;
}

.scfy_divider span {
	background: #fff;
	padding: 0px 20px;
	color: #6E6E6E;
	font-size: 16px;
	position: relative;
	z-index: 1;
	font-weight: 500;
}

.scfy_divider::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 2px;
    background: #e0e0e0;
    transform: translateY(-50%);
    z-index: 0;
}
.scfy_input-container {
	position: relative;
	margin-bottom: 20px;
	width: 100%;
}
.scfy_input-field {
	width: 100%;
	padding: 12px 16px;
	border: 1.5px solid var(--scfy-border-color);
	border-radius: 10px;
	outline: none;
	background: transparent;
	transition: all 0.2s ease;
	color: var(--scfy-text-color);
    font-size: 1rem;
}
.scfy_input-field:focus {
    border-color: var(--scfy-primary-color);
    box-shadow: 0 0 0 3px rgba(122, 54, 255, 0.1);
}

.scfy_floating-label {
	position: absolute;
	left: 15px;
	top: 50%;
	transform: translateY(-50%);
	background: var(--scfy-background-color);
	padding: 0 5px;
	color: #9A9A9A;
	transition: 0.2s ease all;
	pointer-events: none;
	z-index: 1;
}
.scfy_input-field.has-value ~ .scfy_floating-label,
.scfy_input-field:focus ~ .scfy_floating-label
 {
    top: 0;
    transform: translateY(-50%);
    font-size: 14px;
    font-weight: 500;
    color: var(--scfy-text-color);
}
.scfy_input-field:focus ~ .scfy_floating-label{
    color: var(--scfy-primary-color);
}
.scfy_input_icon {
	position: absolute;
	rotate: 0;
	right: 0;
	top: 0;
	transform: translatey(3px);
	padding: 10px;
	font-size: 17px;
    max-width: 50px;
    color: #9A9A9A;
}

.scfy_input-container.datePickr input {
	padding-left: 45px;
}
.scfy_input-container.datePickr .scfy_floating-label{
    left: 40px;
}
.scfy_input-container.datePickr .scfy_floating-label{
    left: 40px;
}
.scfy_input-container.datePickr .scfy_input-field.has-value ~ label .scfy_floating-label,
.scfy_input-container.datePickr .scfy_input-field:focus ~ label .scfy_floating-label{
    left: 15px;
    top: 0;
    color: var(--scfy-text-color);
}
.scfy_input-container.datePickr .scfy_input-field:focus ~ label .scfy_floating-label{
    color: var(--scfy-primary-color);
}
.scfy_input-container.datePickr .scfy_input-field.has-value ~ label .scfy_input_icon,
.scfy_input-container.datePickr .scfy_input-field:focus ~ label .scfy_input_icon,
.scfy_input-field.has-value ~ .scfy_input_icon,
.scfy_input-field:focus ~ .scfy_input_icon
 {
    color: var(--scfy-text-color);
 }
 .scfy_form_submit_button {
	width: 100%;
	border: none;
	border-radius: 10px;
	font-weight: 600;
	padding: 12px 0;
	background-color: var(--scfy-primary-color);
	color: #fff;
	margin-top: 15px;
}
.scfy_google_auth_button {
	border: 1px solid #E6E8E7;
	width: 100%;
	background: transparent;
	border-radius: 10px;
	padding: 12px 0;
	/* margin-bottom: 16px; */
	color: var(--scfy-text-color);
    font-weight: 600;
}
.scfy_from_head {
	margin-bottom: 30px;
}
.scfy_from_head p {
	margin: 0;
}

.form-checkbox {
    appearance: none;
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    border: 2px solid var(--scfy-text-color);
    border-radius: 3px;
    cursor: pointer;
    position: relative;
    margin-bottom: -3px;
}

.form-checkbox:checked {
    background-color: var(--scfy-text-color);
}

.form-checkbox:checked::after {
    content: "";
    position: absolute;
    left: 4px;
    top: 1px;
    width: 4px;
    height: 8px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.scfy_tremansText{
    font-size: 14px;
    font-weight: 400;
}
.scfy_tremansText a {
	font-size: 600;
	font-weight: 600;
	text-decoration: none;
}
.scfy_auth_from_footer {
	text-align: center;
	padding: 16px 0;
}

.forgot-password {
	margin-top: 14px;
	font-size: 14px;
}

.scfy_success_card {
	text-align: center;
}
.scfy_success_card i {
	font-size: 60px;
	color: var(--success);
}
.scfy_success_card h6 {
	font-size: 24px;
	margin: 15px 0;
}
.scfy_success_card a {
	color: var(--scfy-primary-color);
	font-weight: 600;
}




/* Light Theme Datepicker */

#ui-datepicker-div {
    min-width: 310px;
    padding: 0;
    background: var(--scfy-background-color);
    border: 1px solid var(--scfy-border-color);
    color: var(--scfy-text-color);
    font-weight: 300 !important;
    border-radius: 8px;
}

/* header */
.ui-datepicker-header {
    background: transparent;
    border: none;
    border-bottom: 1px solid var(--scfy-border-color);
}

/* month & year select */
.ui-datepicker-title select {
    background: var(--scfy-background-color);
    color: var(--scfy-text-color);
    border: 1px solid var(--scfy-border-color);
    padding: 9px;
    border-radius: 7px;
    font-size: 12px !important;
    font-weight: 400;
}

/* prev next buttons */
.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
    position: absolute;
    top: 10px;
    width: unset;
    height: unset;
    padding: 10px;
}

.ui-datepicker .ui-datepicker-prev span,
.ui-datepicker .ui-datepicker-next span {
    filter: none;
}

.ui-datepicker .ui-datepicker-prev:hover,
.ui-datepicker .ui-datepicker-next:hover {
    background: #f5f5f5;
    border: 1px solid var(--scfy-border-color);
    cursor: pointer;
}

.ui-datepicker .ui-datepicker-prev {
    left: 13px;
}

.ui-datepicker .ui-datepicker-next {
    right: 13px;
}

/* weekday */
.ui-datepicker th {
    font-weight: 400;
    font-size: 13px;
    color: var(--scfy-text-color);
}

/* days */
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default,
.ui-button,
html .ui-button.ui-state-disabled:hover,
html .ui-button.ui-state-disabled:active {
    background: var(--scfy-background-color);
    border: 1px solid var(--scfy-border-color);
    padding: 10px;
    color: var(--scfy-text-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

/* today */
.ui-state-default.ui-state-highlight {
    border-color: var(--scfy-primary-color);
}

/* hover */
.ui-state-default:hover {
    background: #f5f7fb;
}

/* selected date */
.ui-state-default.ui-state-active {
    background: var(--scfy-primary-color);
    border-color: var(--scfy-primary-color);
    color: #fff;
}

.text-red-500 {
	color: #e53e3e;
	/* margin-bottom: 20px; */
}
.scfy_error_wrapper {
	margin-bottom: 20px;
	background: #e9c285;
	border-radius: 7px;
	color: #fff;
	padding: 10px 20px;
}

.scfy_footer_container {
	display: flex;
	justify-content: space-between;
	align-content: center;
	align-items: center;
	width: 100%;
	max-width: 400px;
	margin: 0 auto;
	padding: 15px 0;
}

.scfy_footer_left {
	color: var(--scfy-text-color);
	font-size: 16px;
}
.scfy_lang_switcher{
    display:inline-block;
}

.scfy_lang_button {
	display: flex;
	align-items: center;
	border: 1px solid var(--scfy-border-color);
	border-radius: 10px;
	color: var(--scfy-text-color);
	font-weight: 600;
	font-size: 14px;
	padding: 3px 8px;
	gap: 3px;
	background: transparent;
}


.scfy_lang_button:hover{
    background:#f8f8f8;
}
.scfy_lang_current,
.scfy_lang_icon{
    font-size:14px;
}

.scfy_lang_menu {
	border-radius: 8px;
	border: 1px solid var(--scfy-border-color);
	box-shadow: 0 6px 20px rgba(0,0,0,0.08);
	min-width: inherit;
	width: 100%;
}
.scfy_lang_menu  .dropdown-item {
	display: block;
	width: 100%;
	padding: 5px 10px;
	clear: both;
	font-weight: 400;
	color: var(--scfy-text-color);
	text-align: inherit;
	white-space: nowrap;
	background-color: transparent;
	border: 0;
	text-align: center;
}

.scfy_lang_menu .dropdown-item:focus, 
.scfy_lang_menu .dropdown-item:hover {
	color: #16181b;
	text-decoration: none;
	background-color: #f8f9fa;
}
.scfy_flag{
    width:18px;
    height:14px;
    border-radius:2px;
}
@media (max-width: 768px) {
       .scfy_auth_image_area {
            display: none;
        }
        .scfy_from_full_area {
            flex: 0 0 100%;
        }
        
        .scfy_from_head h1 {
            font-size: 20px;
        }
        .scfy_input-field ,
        body {
            font-size: 14px;
        }
       .scfy_tremansText {
            font-size: 12px;
        }
        .scfy_from_area {
            padding: 0 14px;
        }

       .scfy_logo_head {
            padding: 14px;
            width: 100%;
            max-width: 400px;
            margin: 0 auto;
            margin-bottom: 35px;
            margin-top: 30px;
          
        }
        .scfy_from_area,
        .scfy_logo_head {
            padding-left: 8%;
            padding-right: 8%;
        }
        .scfy_form_area_wrapper {
	        height: calc(100% - 240px);
        }
        .scfy_footer_container {
            justify-content: center;
            gap: 10px;
        }
        .scfy_footer_left {
            font-size: 12px;
        }
        .scfy_lang_current, .scfy_lang_icon {
            font-size: 12px;
        }
        .scfy_lang_menu .dropdown-item {
            font-size: 11px;
        }
        .scfy_flag {
            width: 14px;
            height: 11px;
        }
}